<?php
namespace Teknisa\PLA\Modules\Cardapio\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use \Setforms2\Shared\ORM\DateTime;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class Pla10130AtualizaCardapioComBaseNoCicloController {
    
    protected $connectService;
    
    public function __construct($connectService) {
        $this->connectService = $connectService;
    }

    public function getnrlogcardciclo($cdfilial){
        $returnVerificaNrLog = $this->connectService->getnrlogcardciclo($cdfilial);
        $nrLogString = intval($returnVerificaNrLog);
        $nrLogString++;
        $nrLogNumber = str_pad($nrLogString, 10, '0', STR_PAD_LEFT);
        return $nrLogNumber;
    }
    
    public function criaCardCiclo($request, $response){
        $row = $request->getRow();
        foreach($row['SERVICOS'] as $filiserv)  {
            $parts = explode('_', $filiserv);
            $cdfilial = $parts[0];
            $cdservfili = $parts[1];
            $row['NRLOG'] = $this->getnrlogcardciclo($cdfilial);
            $this->connectService->criaCardCiclo($row, $cdfilial, $cdservfili);
        }
        $response->addDataSet(new DataSet('procedure', array($row)));

    }
}